aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Giuseppe Gerla (JIRA)" <>
Subject [jira] [Commented] (ARIES-1251) Support jpa 2.0 and 2.1 with the same code base
Date Sat, 11 Oct 2014 20:27:33 GMT


Giuseppe Gerla commented on ARIES-1251:

Hi Christian
I'm very happy to contribute. I'm studing JSR338 and it seems that we finished the implementation.
If I will discover some other improvement I will advice you.

I checkout your commit and I see two difference
1. in the pom of jpa-container bundle the dependency from jpa-api has verion 1.0.1. This can
be a problem because this version of API has a dependency from hibernate-jpa-2.1-api, so different
from others bundle
2. In the activator of eclipselink-adapter, the sto method is void. However?

Please let me know if I can do anything else

> Support jpa 2.0 and 2.1 with the same code base
> -----------------------------------------------
>                 Key: ARIES-1251
>                 URL:
>             Project: Aries
>          Issue Type: Improvement
>          Components: JPA
>            Reporter: Christian Schneider
>            Assignee: Christian Schneider
> We currently have two separate code bases for jpa 2.0 and 2.1 support. This is very difficult
to manage when we do source code changes.
> So I will try to create one code that supports both jpa 2.0 and 2.1 by using Dynamic
Proxies where we implement EntityManager or EntityManagerFactory. 

This message was sent by Atlassian JIRA

View raw message